This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1247380 - HotRod size method doesn't check BULK_READ permission
HotRod size method doesn't check BULK_READ permission
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan (Show other bugs)
6.5.0
Unspecified Unspecified
unspecified Severity unspecified
: DR1
: 6.6.0
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On: 1234927
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-27 16:43 EDT by Dave Stahl
Modified: 2016-01-22 11:22 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When <methodname>size()</methodname> is performed using the HotRod client, a MapReduce task is invoked internally to determine the total number of entries present in the cache. Previously this operation did not require any permissions; however, a check has been added to ensure the role invoking <methodname>size()</methodname> has the <literal>BULK_READ</literal> permission. This issue is resolved as of Red Hat JBoss Data Grid 6.6.0.
Story Points: ---
Clone Of: 1234927
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)

Note You need to log in before you can comment on or make changes to this bug.